接口参考内容
列出当前用户上传的视频。通过 /videos/upload 上传的图片素材不包含在内。
GET
ApiKeyAuthheader
鉴权Bearer <lumi>Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。
page?integer范围
1 <= value默认值
1limit?integer范围
1 <= value <= 50默认值
10search?string成功
application/json- response
success*trueValue in
truedata*curl -X GET 'https://app.lumipath.cn/api/v1/videos'响应示例
{ "success": true, "data": { "videos": [ { "vid": "string", "title": "string", "status": "string", "mediaType": "video", "failedReason": "string", "platforms": [ { "platform": "string", "status": "string", "accountId": "string" } ], "projects": [ { "property1": null, "property2": null } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0 } }}